Standard Gruppe

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Group and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Std Group.svg Std Gruppe

Menüeintrag
Baumansicht → Rechtsklick auf den Dokumentennamen
Arbeitsbereich
Alle
Standardtastenkürzel
In der Version eingeführt
Siehe auch
Standard Teil, Wähle Gruppe, zur Gruppe hinzufügen


Beschreibung

Standard Gruppe, intern Anwendung DokumentObjektGruppe genannt, ist ein allgemein verwendeter Behälter für die Gruppierung unterschiedlicher Objekttypen in der Baumansicht, unabhängig von ihrem Datentyp. Er wird als einfacher Ordner zur Kategoriesierung und Organisation der Objekte im Modell verwendet, um eine logische Struktur zu erhalten. Std Gruppen kann in anderen Std Gruppen eingebettet werden.

Das Std Group Werkzeug ist nicht durch einen speziellen Arbeitbereich definiert, sondern durch das Basissystem. Daher befindet es sich in der Strukturwerkzeugleiste, die in allen Arbeitsbereichen zugänglich ist.

Um 3D-Objekte zu einer einzelnen Einheit zu gruppieren, um Baugruppen zu erzeugen, sollte stattdessen Standard Teil verwendet werden.

Std Group example.png

Verschiedene Elemente innerhalb Standart Gruppe in der Baumansicht.


Anwendung

  1. Auf den Namen des Dokumentes in der Baumansicht klicken, das Kontextmenü mit einem Rechtsklick öffnen und Erstelle Gruppe wählen.
  2. Oder die Schaltfläche Std Group.svg Gruppe in der Strukturwerkzeugleiste betätigen. Es wird eine leere Gruppe erstellt.
  3. Um Objekte einer Gruppe hinzuzufügen, werden sie in der Baumansicht gewählt und mit Drag & Drop auf die Gruppe gezogen.
  4. Um Objekte aus einer Gruppe zu entfernen, werden sie aus der Gruppe auf die Dokumentbezeichnung oben in der Baumansicht gezogen .

Hinweise

  • Das Gruppenobjekt beeinflusst nicht die Positionen der enthaltenen Elemente in der 3D-Ansicht. Im wesentlichen ist es nur ein Ordner zur Organisation der Baumansicht.
  • Die Gruppe kann auch aus der Pythonkonsole als Unterklasse erstellt werden, um besondere "Grupppen" zu erzeugen, wie im Abschnitt Skripten dargestellt.

Eigenschaften

Eine Standard Gruppe wird intern Anwendung DokumentObjektGruppe (App::DocumentObjectGroup Klasse) genannt und stammt aus einer Anwendung DokumentObjekt (App::DocumentObject Klasse). Deshalb hat es die meisten Eigenschaften mit letzterem gemein.

Zusätzlich zu den Eigenschaften, die in App FeaturePython, einer wesentlichen Instanz des DokumentObjektes, hat die App DocumentObjectGroup die Daten-EigenschaftGroup Eigenschaft.

Diese Eigenschaften stehen im Eigenschaftseditor zur Verfügung. Versteckte Eigenschaften werden durch den Befehl Alle anzeigen im Kontextmenü des Eigenschaftseditors angezeigt.

Daten

Base

  • Daten-EigenschaftBezeichnung (String): der Name dieses Objekts, vom Benutzer als beliebige UTF8-Zeichenkette veränderbar.
  • DataGruppe (LinkList): eine Liste referenzierter Objekte. Ein leerer Wert [] ist vorgegeben.

Ausgeblendete Dateneigenschaften

  • Ansicht EigenschaftProxy (PythonObject): eine benutzerdefinierte Klasse, die mit diesem Objekt verknüpft ist. Das gibt es nur für die Python Version. Siehe Skripten.

Ansicht

Base

Siehe App FeaturePython zu grundlegenden Ansichtseigenschaften.

Ansicht ausgeblendeter Eigenschaften

  • ViewProxy (PythonObject): eine benutzerdefinierte Providerklasse, die mit diesem Objekt verknüpft ist. Das gibt es nur für die Python Version. Siehe Skripten.

Vererbung

Standard Gruppe ist formell eine Instanz der Klasse App::DocumentObjectGroup, deren Elternteil die Basisklasse App DocumentObject(App::DocumentObject) ist und um eine Gruppen-Erweiterung erweitert wird.

FreeCAD core objects.svg

Vereinfachtes Diagramm der Beziehungen zwischen den Kernobjekten im Programm. Die App::DocumentObjectGroup Klasse ist ein einfacher Behälter der der die Gruppenerweiterung nutzt, um alle Typen von Objekten aufzunehmen.


Skripten

Siehe auch: FreeCAD Grundlagen Skripten und Skriptgenerierte Objekte.

Siehe Part Formelemente zu allgemeinen Informationen über das Hinzufügen von Objekten zum Dokument.

Eine 'Std Group' (Anwendung DokumentObjektGruppe)-wird mit der addObject()-Methode des Dokumentes erstellt. Sobald eine Gruppe existiert, können andere Objekte mit der addObject()- oder der addObjects()-Methode der Gruppe hinzugefügt werden.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")

obj.addObjects([bod1, bod2])
App.ActiveDocument.recompute()

Diese grundlegende App::DocumentObjectGroup hat kein Proxyobjekt, sodass es vollständig für Unterklassen verwendet werden kann.

Deshalb sollte ein App::DocumentObjectGroupPython-Objekt für Unterklassen mit Python erzeugt werden.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

Zum Beispiel ist ein FEM Analyse ein App::DocumentObjectGroupPython-Objekt mit einem benutzerdefinierten Icon und zusätzlichen Eigenschaften.

Verweise



Template:Std Base navi/de